package com.sifang.modules.sys.util.insurance.form.endorse;

import java.util.ArrayList;
import java.util.List;

public class EndorseReq {

    private String requestNo;
    private String channelCode;
    private String sign;
    private String policyNo;
    private String endorseType;
    private List<EndorseInsured> insuredList = new ArrayList<EndorseInsured>();
    private String addressName;
    private String sumAmount;
    private String sumPremium;
    private String remark;
    // what's fuck of the following two field?
    private String endorseNo;
    private String orderNo;

    public String getRequestNo() {
        return requestNo;
    }

    public void setRequestNo(String requestNo) {
        this.requestNo = requestNo;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getEndorseNo() {
        return endorseNo;
    }

    public void setEndorseNo(String endorseNo) {
        this.endorseNo = endorseNo;
    }

    public String getEndorseType() {
        return endorseType;
    }

    public void setEndorseType(String endorseType) {
        this.endorseType = endorseType;
    }

    public List<EndorseInsured> getInsuredList() {
        return insuredList;
    }

    public void setInsuredList(List<EndorseInsured> insuredList) {
        this.insuredList = insuredList;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSumAmount() {
        return sumAmount;
    }

    public void setSumAmount(String sumAmount) {
        this.sumAmount = sumAmount;
    }

    public String getSumPremium() {
        return sumPremium;
    }

    public void setSumPremium(String sumPremium) {
        this.sumPremium = sumPremium;
    }

    @Override
    public String toString() {
        return "EndorseReq{" +
                "requestNo='" + requestNo + '\'' +
                ", channelCode='" + channelCode + '\'' +
                ", sign='" + sign + '\'' +
                ", policyNo='" + policyNo + '\'' +
                ", endorseType=" + endorseType +
                ", insuredList=" + insuredList +
                ", addressName='" + addressName + '\'' +
                ", sumAmount='" + sumAmount + '\'' +
                ", sumPremium='" + sumPremium + '\'' +
                ", remark='" + remark + '\'' +
                ", endorseNo='" + endorseNo + '\'' +
                ", orderNo='" + orderNo + '\'' +
                '}';
    }
}
